<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Move Method (IEdmFile6)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile6 Interface : Move Method (IEdmFile6)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

lParentID
  ID of the source folder

lNewParentID
  ID of the destination folder

lFlags
  0; reserved

Moves this file to another location in the vault.

# Syntax

Visual Basic |
--- | ---

    Sub Move( _
       ByVal lParentWnd As System.Integer, _
       ByVal lParentID As System.Integer, _
       ByVal lNewParentID As System.Integer, _
       ByVal lFlags As System.Integer _
    )

C# |
--- | ---

    void Move(
       System.int lParentWnd,
       System.int lParentID,
       System.int lNewParentID,
       System.int lFlags
    )

C++/CLI |
--- | ---

    void Move(
    &   System.int lParentWnd,
    &   System.int lParentID,
    &   System.int lNewParentID,
    &   System.int lFlags
    )

#### Parameters

lParentWnd
  Parent window handle
lParentID
  ID of the source folder
lNewParentID
  ID of the destination folder
lFlags
  0; reserved

# Example

Add Files to Vault (VB.NET)
Add Files to Vault (C#)

# Remarks

If the file has references, the paths of those references are updated to match the new location. If the file is being referenced by other files, the referencing files are updated to point to the new location.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.
- E_EDM_MOVE_FILE_PERMISSION_DENIED: The user does not have permission to move the file.

# See Also

####

IEdmFile6 Interface
IEdmFile6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0